Contents

# Shell Function

Pokretanje druge aplikacije i definiranje odgovarajuceg stila prozora, ako je potrebno.

### Syntax:

Shell (Pathname As String[, Windowstyle As Integer[, Param As String[, bSync]]])

### Parameters:

### Ime putanje

Name of the program that you want to start, optionally with complete path and/or arguments.

### Stil prozora

Optional integer expression that specifies the style of the window that the program is executed in.

Parameter Windowstyle is only effective on Windows systems. On other systems the parameter is ignored.

The following values are possible:

Windowstyle | Meaning
--- | ---
0 | Fokus je na skrivenom prozoru programa. Not implemented in LibreOffice.
1 | Fokus je na prozoru programa u standardnoj velicini. Not implemented in LibreOffice.
2 | Fokus je na minimiziranom prozoru programa.
3 | Fokus je na maksimiziranom prozoru programa.
4 | Standardna velicina prozora programa, bez fokusa. Not implemented in LibreOffice.
6 | Minimizirani prozor programa, fokus ostaje na aktivnom prozoru. Not implemented in LibreOffice.
10 | Puni prikaz.

Windowstyle 3 and 10 are equivalent in Windows systems.

### Param

String that specifies additional arguments passed to the program.

### bSync

Ako je ova vrijednost stavljena na true, the Shell komanda i sve LibreOffice zadaci cekaju dok shell proces ne završi. Ako je vrijednost postavljena nafalse, konzola vraca direktno. Zadana vrijednost je false.

### Error codes:

5 Invalid procedure call

53 Datoteka nije pronađena

73 Nije implementirano

### Example:

    Sub ExampleShellForWin
        Shell("c:\windows\calc.exe",2)
    End Sub